## cheese 0.0.1

=== DESCRIPTION ===
Package: cheese
Version: 0.0.1
Date: 2019-03-12
Title: Tools for Intuitive and Flexible Statistical Analysis Workflows
Authors@R: person(given = "Alex", family = "Zajichek", email = "alexzajichek@gmail.com", role = c("aut", "cre"))
Description: Contains flexible and intuitive functions to assist in carrying out tasks in a statistical analysis and to get from the raw data to presentation-ready results. A user-friendly interface is used in specialized functions that are aimed at common tasks such as building a univariate descriptive table for variables in a dataset. These high-level functions are built on a collection of low(er)-level functions that may be useful for aspects of a custom statistical analysis workflow or for general programming use. 
URL: https://github.com/zajichek/cheese
License: MIT + file LICENSE
Depends: R (>= 3.4.0)
Imports: dplyr (>= 0.7.7), forcats (>= 0.3.0), kableExtra (>= 1.0.1),
        knitr (>= 1.20), magrittr (>= 1.5), methods (>= 3.4.1), purrr
        (>= 0.2.4), rlang (>= 0.3.0.1), stringr (>= 1.3.1), tibble (>=
        1.4.2), tidyr (>= 0.8.1), tidyselect (>= 0.2.4)
Suggests: rmarkdown (>= 1.10), tidyverse (>= 1.2.1)
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
NeedsCompilation: no
Packaged: 2019-03-29 17:07:03 UTC; alexzajichek
Author: Alex Zajichek [aut, cre]
Maintainer: Alex Zajichek <alexzajichek@gmail.com>
Repository: CRAN
Date/Publication: 2019-04-01 08:10:03 UTC

## cheese 0.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cheese
-Version: 0.0.1
-Date: 2019-03-12
+Version: 0.0.2
+Date: 2020-01-23
 Title: Tools for Intuitive and Flexible Statistical Analysis Workflows
 Authors@R: person(given = "Alex", family = "Zajichek", email = "alexzajichek@gmail.com", role = c("aut", "cre"))
 Description: Contains flexible and intuitive functions to assist in carrying out tasks in a statistical analysis and to get from the raw data to presentation-ready results. A user-friendly interface is used in specialized functions that are aimed at common tasks such as building a univariate descriptive table for variables in a dataset. These high-level functions are built on a collection of low(er)-level functions that may be useful for aspects of a custom statistical analysis workflow or for general programming use. 
@@ -16,8 +16,8 @@
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2019-03-29 17:07:03 UTC; alexzajichek
+Packaged: 2020-01-24 04:13:33 UTC; alexzajichek
 Author: Alex Zajichek [aut, cre]
 Maintainer: Alex Zajichek <alexzajichek@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-04-01 08:10:03 UTC
+Date/Publication: 2020-01-24 05:30:02 UTC

## cheese 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cheese
-Version: 0.0.2
-Date: 2020-01-23
+Version: 0.0.3
+Date: 2020-02-11
 Title: Tools for Intuitive and Flexible Statistical Analysis Workflows
 Authors@R: person(given = "Alex", family = "Zajichek", email = "alexzajichek@gmail.com", role = c("aut", "cre"))
 Description: Contains flexible and intuitive functions to assist in carrying out tasks in a statistical analysis and to get from the raw data to presentation-ready results. A user-friendly interface is used in specialized functions that are aimed at common tasks such as building a univariate descriptive table for variables in a dataset. These high-level functions are built on a collection of low(er)-level functions that may be useful for aspects of a custom statistical analysis workflow or for general programming use. 
@@ -16,8 +16,8 @@
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2020-01-24 04:13:33 UTC; alexzajichek
+Packaged: 2020-02-11 23:03:20 UTC; alexzajichek
 Author: Alex Zajichek [aut, cre]
 Maintainer: Alex Zajichek <alexzajichek@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-01-24 05:30:02 UTC
+Date/Publication: 2020-02-12 10:50:02 UTC

## cheese 0.1.0

=== DESCRIPTION ===
Package: cheese
Version: 0.1.0
Date: 2020-04-28
Title: Tools for Working with Data During Statistical Analysis
Authors@R: person(given = "Alex", family = "Zajichek", email = "alexzajichek@gmail.com", role = c("aut", "cre"))
Description: Contains tools for working with data during statistical analysis, promoting flexible, intuitive, and reproducible workflows. There are functions designated for specific statistical tasks such building a custom univariate descriptive table, computing pairwise association statistics, etc. These are built on a collection of data manipulation tools designed for general use that are motivated by the functional programming concept.
URL: https://zajichek.github.io/cheese,
        https://github.com/zajichek/cheese
License: MIT + file LICENSE
Depends: R (>= 3.4.0)
Imports: dplyr (>= 0.8.2), forcats (>= 0.3.0), kableExtra (>= 1.0.1),
        knitr (>= 1.20), magrittr (>= 1.5), methods (>= 3.4.1), purrr
        (>= 0.3.2), rlang (>= 0.4.3), stringr (>= 1.3.1), tibble (>=
        2.1.3), tidyr (>= 0.8.1), tidyselect (>= 1.0.0)
Suggests: rmarkdown (>= 1.10)
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
NeedsCompilation: no
Packaged: 2020-04-30 13:04:29 UTC; alexzajichek
Author: Alex Zajichek [aut, cre]
Maintainer: Alex Zajichek <alexzajichek@gmail.com>
Repository: CRAN
Date/Publication: 2020-04-30 23:00:06 UTC

## cheese 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cheese
-Version: 0.1.0
-Date: 2020-04-28
+Version: 0.1.1
+Date: 2020-10-17
 Title: Tools for Working with Data During Statistical Analysis
 Authors@R: person(given = "Alex", family = "Zajichek", email = "alexzajichek@gmail.com", role = c("aut", "cre"))
 Description: Contains tools for working with data during statistical analysis, promoting flexible, intuitive, and reproducible workflows. There are functions designated for specific statistical tasks such building a custom univariate descriptive table, computing pairwise association statistics, etc. These are built on a collection of data manipulation tools designed for general use that are motivated by the functional programming concept.
@@ -17,8 +17,8 @@
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2020-04-30 13:04:29 UTC; alexzajichek
+Packaged: 2020-10-17 14:06:19 UTC; alexzajichek
 Author: Alex Zajichek [aut, cre]
 Maintainer: Alex Zajichek <alexzajichek@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-04-30 23:00:06 UTC
+Date/Publication: 2020-10-19 17:40:09 UTC

## cheese 0.1.2

=== DESCRIPTION ===
Package: cheese
Version: 0.1.2
Date: 2023-01-04
Title: Tools for Working with Data During Statistical Analysis
Authors@R: person(given = "Alex", family = "Zajichek", email = "alexzajichek@gmail.com", role = c("aut", "cre"))
Description: Contains tools for working with data during statistical analysis, promoting flexible, intuitive, and reproducible workflows. There are functions designated for specific statistical tasks such building a custom univariate descriptive table, computing pairwise association statistics, etc. These are built on a collection of data manipulation tools designed for general use that are motivated by the functional programming concept.
URL: https://zajichek.github.io/cheese/,
        https://github.com/zajichek/cheese/
License: MIT + file LICENSE
Depends: R (>= 3.4.0)
Imports: dplyr (>= 0.8.2), forcats (>= 0.3.0), kableExtra (>= 1.0.1),
        knitr (>= 1.20), magrittr (>= 1.5), methods (>= 3.4.1), purrr
        (>= 0.3.2), rlang (>= 0.4.3), stringr (>= 1.3.1), tibble (>=
        2.1.3), tidyr (>= 0.8.1), tidyselect (>= 1.0.0)
Suggests: rmarkdown (>= 1.10)
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
NeedsCompilation: no
Packaged: 2023-01-04 20:57:54 UTC; alexzajichek
Author: Alex Zajichek [aut, cre]
Maintainer: Alex Zajichek <alexzajichek@gmail.com>
Repository: CRAN
Date/Publication: 2023-01-06 19:40:02 UTC

## cheese 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cheese
-Version: 0.1.2
-Date: 2023-01-04
+Version: 0.1.3
+Date: 2025-07-23
 Title: Tools for Working with Data During Statistical Analysis
 Authors@R: person(given = "Alex", family = "Zajichek", email = "alexzajichek@gmail.com", role = c("aut", "cre"))
 Description: Contains tools for working with data during statistical analysis, promoting flexible, intuitive, and reproducible workflows. There are functions designated for specific statistical tasks such building a custom univariate descriptive table, computing pairwise association statistics, etc. These are built on a collection of data manipulation tools designed for general use that are motivated by the functional programming concept.
@@ -17,8 +17,8 @@
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2023-01-04 20:57:54 UTC; alexzajichek
+Packaged: 2025-07-24 03:39:31 UTC; alexzajichek
 Author: Alex Zajichek [aut, cre]
 Maintainer: Alex Zajichek <alexzajichek@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-01-06 19:40:02 UTC
+Date/Publication: 2025-07-24 04:30:12 UTC

## cheese 2.30.1

=== debian/changelog ===
cheese (2.30.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop type-handling usage. Closes: #587861.
  * Bump standards version accordingly.
  * Recommend gnome-icon-theme. Closes: #587464.
  * Bump dependencies on gstreamer plugins. Closes: #582838.

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 04 Oct 2010 22:04:17 +0200

cheese (2.30.1-1) unstable; urgency=low

  * New upstream release.
    - HAL dependency has been dropped. Use (g)udev for v4l capability probing
      on Linux. Closes: #573774
    - Split code into separate libraries.
  * debian/control.in
    - Drop Build-Depends on libhal-dev.
    - Drop Build-Depends on libebook1.2-dev.
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.19.1).
    - Bump Build-Depends on libgstreamer*-dev to (>= 0.10.23).
    - Add Build-Depends on libcanberra-gtk-dev.
    - Add Build-Depends on libxtst-dev.
    - Add Build-Depends on libgudev-1.0-dev on Linux.
    - Bump Standards-Version to 3.8.4. No further changes.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
  * debian/rules
    - Drop lpia specific configure flags, lpia is dead.
  * Update package layout (based on work by Ubuntu)
    - Move data files into new cheese-common package.
    - Keep binary along with its desktop and dbus service file in the cheese
      package.
    - Add libcheese-gtk18 and libcheese-gtk-dev package for the new
      libcheese-gtk library. Use a symbols file for improved shlibs
      dependencies.
    - Add Conflicts/Replaces to cheese-common to ensure proper upgrades from
      previous versions.

 -- Michael Biebl <biebl@debian.org>  Tue, 04 May 2010 17:37:18 +0200

cheese (2.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrea Veri <andrea.veri89@gmail.com>  Thu, 22 Oct 2009 12:15:51 +0200

cheese (2.28.0.1-1) unstable; urgency=low

  [ Andrea Veri ]
  * New upstream release.
  * debian/control:
    - Bumped Standards-version to 3.8.3. No changes needed.
    - libgtk2.0-dev bumped to >= 2.17.4 as per configure.ac
      requirements.
    - libgnome-desktop-dev bumped to >= 2.26.0 as per configure.ac
      requirements.
    - added a B-D on x11proto-core-dev needed from multimedia keys
      to work properly.
  * debian/copyright:
    - added missing copyright holders.
  * debian/patches:
    - removed as long as it has no patches in it.
  * debian/rules:
    - simple-patchsys include removed, there are no patches to be
      applied.

  [ Loïc Minier ]
  * Bdep on rarian-compat instead of scrollkeeper.

 -- Andrea Veri <andrea.veri89@gmail.com>  Wed, 23 Sep 2009 20:25:41 +0200

cheese (2.26.2-1) unstable; urgency=low

  * New upstream release.
  * Update build-dependencies.
  * 01_de.po.patch: removed, fixed upstream.

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Jun 2009 01:24:48 +0200

cheese (2.24.3-2) unstable; urgency=low

  * Depend on gstreamer0.10-x. Closes: #493762.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Thu, 09 Apr 2009 20:38:23 +0200

cheese (2.24.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 19:26:07 +0100

cheese (2.24.2-1) experimental; urgency=low

  [ Josselin Mouette ]
  * 01_de.po.patch: new patch from Gabriel Ruiz. Fixes German 
    translation of the menu entry. Closes: #507375.

  [ Loic Minier ]
  * Add watch file.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Dec 2008 16:01:57 +0100

cheese (2.24.1-1) experimental; urgency=low

  * New upstream release.
  * Update build dependencies accordingly.
  * 01_category.patch: removed, obsolete.
  * 02_libgnome_url.patch: removed, now we use gio.
  * Recommend gvfs.
  * Add LDFLAGS including --as-needed.

 -- Josselin Mouette <joss@debian.org>  Thu, 13 Nov 2008 17:41:53 +0100

cheese (2.22.3-3) unstable; urgency=low

  * Don't run scrollkeeper-rebuilddb upon first installation.
    Closes: #491641.

 -- Josselin Mouette <joss@debian.org>  Mon, 21 Jul 2008 09:41:44 +0200

cheese (2.22.3-2) unstable; urgency=low

  * 02_libgnome_url.patch: use libgnome to open URLs rather than 
    gappinfo. This patch should be removed once gvfs is part of the 
    default installation, but is harmless as cheese already depends on 
    libgnome. Closes: #489435.

 -- Josselin Mouette <joss@debian.org>  Tue, 15 Jul 2008 14:40:03 +0200

cheese (2.22.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jun 2008 09:55:35 +0200

cheese (2.22.2-3) unstable; urgency=low

  * Rebuild scrollkeeper DB in postinst on upgrades from older versions; see
    #488399.

 -- Loic Minier <lool@dooz.org>  Sat, 28 Jun 2008 22:16:00 +0200

cheese (2.22.2-2) unstable; urgency=low

  * Run with --disable-scrollkeeper. Closes: #488399.
  * Standards version is 3.8.0, no changes.
  * 01_category.patch: properly categorize in the Graphics menu.

 -- Josselin Mouette <joss@debian.org>  Sat, 28 Jun 2008 18:49:30 +0200

cheese (2.22.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Jun 2008 11:01:14 +0200

cheese (2.22.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/00_fix_crash_on_init.patch
    debian/patches/10_fallback_on_failure.patch
    debian/patches/20_dont_start_pipeline_in_init.patch:
    - Removed. All merged upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2008 10:09:53 +0200

cheese (2.22.0-1) unstable; urgency=low

  * New upstream release. (Closes: #435678)
  * Based on the ubuntu packaging
  * Remove hildon support. The patch doesn't apply anymore and it's irrelevant
    for debian anyway
  * Split control into a control.in, to generate control using the normal
    pkg-gnome procedures
  * debian/control: Update vcs urls
  * debian/control: Update build-depends


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: cheese
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Standards-Version: 3.9.0
Homepage: http://live.gnome.org/Cheese/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/cheese/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/cheese/
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 5),
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.40.0),
               gnome-doc-utils,
               rarian-compat,
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.19.1),
               libgnome-desktop-dev (>= 2.26.0),
               libgconf2-dev (>= 2.16.0),
               libgstreamer0.10-dev (>= 0.10.23),
               libgstreamer-plugins-base0.10-dev (>= 0.10.23),
               libcairo2-dev (>= 1.4.0),
               libdbus-1-dev (>= 1.0),
               libdbus-glib-1-dev (>= 0.7),
               libpango1.0-dev (>= 1.18.0),
               librsvg2-dev (>= 2.18.0),
               x11proto-core-dev,
               libcanberra-gtk-dev,
               libxtst-dev,
               libgudev-1.0-dev [linux-any]

Package: cheese
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cheese-common (= ${source:Version}),
         gstreamer0.10-plugins-base (>= 0.10.23),
         gstreamer0.10-plugins-good (>= 0.10.23),
         gstreamer0.10-x
Recommends: gvfs,
            gnome-icon-theme
Description: A tool to take pictures and videos from your webcam
 Cheese is a cheesy program to take pictures and videos from your web
 cam. It also provides some graphical effects in order to please the
 user's play instinct.

Package: cheese-common
Architecture: all
Depends: ${misc:Depends}
Replaces: cheese (<< 2.30.1-1)
Conflicts: cheese (<< 2.30.1-1)
Description: Common files for the Cheese tool to take pictures and videos
 Cheese is a cheesy program to take pictures and videos from your web
 cam. It also provides some graphical effects in order to please the
 user's play instinct.
 .
 This package contains the common files and translations.

Package: libcheese-gtk18
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: A tool to take pictures and videos from your webcam - widgets
 Cheese is a cheesy program to take pictures and videos from your web
 cam. It also provides some graphical effects in order to please the
 user's play instinct.
 .
 This package contains the shared library.

Package: libcheese-gtk-dev
Architecture: any
Section: libdevel
Depends: libcheese-gtk18 (= ${binary:Version}),
         libgtk2.0-dev,
         libgstreamer0.10-dev,
         libcanberra-gtk-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: A tool to take pictures and videos from your webcam - widgets dev
 Cheese is a cheesy program to take pictures and videos from your web
 cam. It also provides some graphical effects in order to please the
 user's play instinct.
 .
 This package contains the development headers and API documentation.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/cheese/([\d\.]+)[02468]/cheese-([\d\.]+)\.tar\.gz

## cheese 2.32.0

=== debian/changelog ===
cheese (2.32.0-0ubuntu1~charlotte7) lucid; urgency=low

  * Remove inexplicable broken hunk from Freescale patch that disables
    the photo viewer (LP: #777048)

 -- Alex Chiang <achiang@canonical.com>  Mon, 23 May 2011 17:28:23 -0600

cheese (2.32.0-0ubuntu1~charlotte6) lucid; urgency=low

  * Remove effect, burst, and video UI elements, as we do not want to
    support them (LP: #776453, LP: #776470)

 -- Alex Chiang <achiang@canonical.com>  Tue, 03 May 2011 19:18:18 -0600

cheese (2.32.0-0ubuntu1~charlotte5) lucid; urgency=low

  * debian/patches/fsl_imx51.patch: remove fake_bin and allow photos
    to be saved (LP: #720481)

 -- Alex Chiang <achiang@canonical.com>  Sat, 30 Apr 2011 16:51:27 -0600

cheese (2.32.0-0ubuntu1~charlotte4) lucid; urgency=low

  * debian/patches/fsl_imx51.patch: revert back to gconfimagesink

 -- Alex Chiang <achiang@canonical.com>  Tue, 19 Apr 2011 11:44:12 -0600

cheese (2.32.0-0ubuntu1~charlotte3) lucid; urgency=low

  * Fix FSL IMX51 patch:
    - use ximagesink instead of mfw_v4lsink (LP: #720481)
    - use vorbis encoder instead of mp3 encoder

 -- Alex Chiang <achiang@canonical.com>  Thu, 14 Apr 2011 01:18:33 -0600

cheese (2.32.0-0ubuntu1~charlotte2) lucid; urgency=low

  * Import FSL IMX51 performance patch

 -- Alex Chiang <achiang@canonical.com>  Thu, 20 Jan 2011 23:10:02 -0700

cheese (2.32.0-0ubuntu1~charlotte1) lucid; urgency=low

  * Backport from Maverick to fix charlotte bug LP: #692687

 -- Alex Chiang <achiang@canonical.com>  Thu, 23 Dec 2010 14:15:41 -0700

cheese (2.32.0-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Added/Updated Translations

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 28 Sep 2010 00:45:34 +0200

cheese (2.31.92-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - camera: emit video-saved signal by name in gst threads
    Static camera_signals array is not initizialized in the gstreamer thread
    so we get a critical assertion failed (signal_id > 0) if we emit by id.
    This should workaround the issue. (LP: #587853)
    - Added/Updated Translations

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 20 Sep 2010 15:21:15 +0200

cheese (2.31.90-0ubuntu2) maverick; urgency=low

  [ K Vishnoo Charan Reddy ]
  * debian/control.in
    - Improve cheese description (lp: #604636)

  [ Mitch Towner ]
  *  debian/source_cheese.py:
    - Improve apport hook (lp: #573124)
    
  * debian/control:
    - Add Vcs-Bzr link

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 27 Aug 2010 16:46:01 +1000

cheese (2.31.90-0ubuntu1) maverick; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Aug 2010 16:21:32 +0200

cheese (2.30.1-1ubuntu1) maverick; urgency=low

  * Merge from unstable, remaining changes:
    + debian/control.in:
      - cheese replaces cheese-common (<< 2-30.1-1ubuntu1) as debian put
        /usr/share/dbus-1 in cheese binary package
    + debian/rules:
      - remove -Bsymbolic-functions from LDFLAGS to fix runtime core dump
        because of multiple symbol redefinition in both cheese bin and
        libcheese-gtk18 lib
    + apport hook:
      - debian/source_cheese.py
      - cheese-common.install
    + debian/watch:
      - take unstable versions

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 21 May 2010 15:27:46 +0200

cheese (2.30.1-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release: (LP: #571265)
    (taking from commits message as no updated NEWS file)
    - menu: disable Take Photo when there is no camera
    - effects: fix a text rendering problem
    - effects: don't use uninitialized ints
    - build: enable GSEAL
    - Use accessor functions instead direct access
    - Updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 28 Apr 2010 14:22:01 +0200

cheese (2.30.0-0ubuntu2) lucid; urgency=low

  * debian/source_cheese.py:
    - Apport hook for cheese (lp: #542091)
  * debian/cheese-common.install:
    - Ship the new apport hook.

 -- Nigel Babu <nigelbabu@ubuntu.com>  Mon, 12 Apr 2010 20:00:53 +0530

cheese (2.30.0-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - countdown: move rsvg_init and rsvg_term into main Initialize rsvg at 
      startup and clean it up at exit. Fixes a long standing bug that made 
      cheese crash when going fullscreen with button and window sounds enabled.
      (lp: #546069)
    - window: set the main button label to "Stop recording" while recording.
      Little regression introduced in 2.29.90.
    - widget: use dialog-error icon The "error" icon used before doesn't exist 
      in gnome-icon-theme 2.29 and causes crashes. Use "dialog-error" instead.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 30 Mar 2010 00:19:46 +0200

cheese (2.29.92-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - widget: restore saved balance settings at startup
      Restore balance (brightness, saturation, hue) settings, saved in gconf,
      when the camera is initialized. (LP: #524854)
    - camera: fix a shameful pointless g_return_if_fail that prevented
      resolution changin from preferences. (LP: #364718)
    - docs: complete api docs for CheeseCameraDeviceMonitor
    - Added/Updated Translations

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Mar 2010 09:38:29 +0100

cheese (2.29.91-0ubuntu1) lucid; urgency=low

  * New upstream release:
   + cheese:
    - Restore the infobar temporarily disabled in the previous version
    - Make the infobar display generic errors about camera
      initialization instead of just the "no-device" one.
   + libcheese-gtk:
    - Remove "ready" and "error" signals in CheeseWidget and use a
      "state" property to track current widget state (none, ready,
      error).
    - Add cheese_widget_get_error() api to retrieve a GError (propagated
      from CheeseCamera) if something failed (widget in error state).
    - Update CheeseAvatarChooser to reflect the new api.
   + Fixed bugs:


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: cheese
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Standards-Version: 3.8.4
Homepage: http://live.gnome.org/Cheese/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/cheese/ubuntu
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 5),
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.40.0),
               gnome-doc-utils,
               rarian-compat,
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.19.1),
               libgnome-desktop-dev (>= 2.26.0),
               libgconf2-dev (>= 2.16.0),
               libgstreamer0.10-dev (>= 0.10.23),
               libgstreamer-plugins-base0.10-dev (>= 0.10.23),
               libcairo2-dev (>= 1.4.0),
               libdbus-1-dev (>= 1.0),
               libdbus-glib-1-dev (>= 0.7),
               libpango1.0-dev (>= 1.18.0),
               librsvg2-dev (>= 2.18.0),
               x11proto-core-dev,
               libcanberra-gtk-dev,
               libxtst-dev,
               libgudev-1.0-dev | not+linux-gnu

Package: cheese
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cheese-common (= ${source:Version}),
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
         gstreamer0.10-x
Replaces: cheese-common (<< 2.30.1-1ubuntu1)
Recommends: gvfs
Description: A tool to take pictures and videos from your webcam
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.

Package: cheese-common
Architecture: all
Depends: ${misc:Depends}
Replaces: cheese (<< 2.30.1-1)
Conflicts: cheese (<< 2.30.1-1)
Description: Common files for the Cheese tool to take pictures and videos
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the common files and translations.

Package: libcheese-gtk18
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: A tool to take pictures and videos from your webcam - widgets
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the shared library.

Package: libcheese-gtk-dev
Architecture: any
Section: libdevel
Depends: libcheese-gtk18 (= ${binary:Version}),
         libgtk2.0-dev,
         libgstreamer0.10-dev,
         libcanberra-gtk-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: A tool to take pictures and videos from your webcam - widgets dev
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the development headers and API documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk

=== debian/watch ===
version=3

http://ftp.gnome.org/pub/GNOME/sources/cheese/([\d\.]+)/cheese-([\d\.]+).tar.gz debian uupdate

## cheese 3.0.1

=== debian/changelog ===
cheese (3.0.1-2) unstable; urgency=low

  * debian/control.in:
    - Change gir1.2-cheese-3.0 Section to libs
    - Make library packages depend against cheese-common package
    - Make cheese package recommends against hicolor-icon-theme
    - Move gst Dependency to libcheese package
  * debian/patches/0002-fix-linking.patch: Add missing library to fix linking
  * debian/watch:
    - Switch to .bz2 tarballs.
    - Bump version to 3

 -- Laurent Bigonville <bigon@debian.org>  Sun, 17 Jul 2011 21:04:16 +0200

cheese (3.0.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - Adjust build-dependencies
    - Add gobject-introspection build-dependencies
    - Bump debhelper build-dependency
    - Bump cdbs build-dependency to be sure dh_girepository is called
    - Bump libcheese-gtk soname
    - Split libcheese out of libcheese-gtk package
    - Add gir package
    - Add cheese dependency against gnome-video-effects
    - Add cheese dependency against gstreamer0.10-plugins-bad
      (needed for camerabin)
  * debian/cheese.postinst: Drop postinstall script, was needed for pre-lenny
    package
  * debian/*.symbols: Adjust symbols files
  * debian/patches/0001-fix-pc-file.patch: Requires version of GTK+
    and libcanberra-gtk
  * Add debian/patches/99_ltmain_as-needed.patch: Fix -Wl,--as-needed

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Jun 2011 23:36:29 +0200

cheese (2.30.1-3) unstable; urgency=low

  * debian/control.in:
    - Add cheese dependency against gstreamer0.10-gconf (Closes: #621718)
    - Use a little less cheesy description (Closes: #590062)
    - Bump Standards-Version to 3.9.2 (no further changes)
  * debian/copyright: Fix copyright-with-old-dh-make-debian-copyright to please
    lintian

 -- Laurent Bigonville <bigon@debian.org>  Wed, 15 Jun 2011 11:20:50 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: cheese
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Standards-Version: 3.9.2
Homepage: http://live.gnome.org/Cheese/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/cheese/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/cheese/
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.40.0),
               gnome-doc-utils,
               rarian-compat,
               valac-0.12 (>= 0.11.6),
               libglib2.0-dev (>= 2.28.0),
               libgdk-pixbuf2.0-dev,
               libgtk-3-dev (>= 2.99.4),
               libgnome-desktop-3-dev (>= 2.91.6),
               libgstreamer0.10-dev (>= 0.10.32),
               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
               libcairo2-dev (>= 1.10.0),
               libpango1.0-dev (>= 1.28.0),
               librsvg2-dev (>= 2.32.0),
               libclutter-1.0-dev (>= 1.6.1),
               libclutter-gtk-1.0-dev (>= 0.91.8),
               libclutter-gst-dev (>= 1.0.0),
               libmx-dev,
               libgee-dev (>= 0.6.0),
               x11proto-core-dev,
               libcanberra-gtk3-dev (>= 0.26),
               gnome-video-effects-dev,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.6),
               libxtst-dev,
               libgudev-1.0-dev [linux-any]

Package: cheese
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cheese-common (= ${source:Version}),
         gnome-video-effects
Recommends: gvfs,
            gnome-icon-theme,
            hicolor-icon-theme
Description: tool to take pictures and videos from your webcam
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.

Package: cheese-common
Architecture: all
Depends: ${misc:Depends}
Replaces: cheese (<< 2.30.1-1)
Breaks: cheese (<< 2.30.1-1)
Description: Common files for the Cheese tool to take pictures and videos
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the common files and translations.

Package: libcheese-gtk20
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cheese-common (= ${source:Version})
Description: tool to take pictures and videos from your webcam - widgets
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the GTK+ shared library.

Package: libcheese-gtk-dev
Architecture: any
Section: libdevel
Depends: libcheese-gtk20 (= ${binary:Version}),
         libcheese-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.28.0),
         libgtk-3-dev (>= 2.99.4),
         libgstreamer0.10-dev (>= 0.10.32),
         libgstreamer-plugins-base0.10-dev (>= 0.10.32),         
         libclutter-gtk-1.0-dev (>= 0.91.8),
         libcanberra-gtk3-dev (>= 0.26),
         ${misc:Depends}
Description: tool to take pictures and videos from your webcam - widgets dev
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the GTK+ development headers and API documentation.

Package: libcheese1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cheese-common (= ${source:Version}),
         gstreamer0.10-plugins-base (>= 0.10.23),
         gstreamer0.10-plugins-good (>= 0.10.23),
         gstreamer0.10-plugins-bad,
         gstreamer0.10-x
Description: tool to take pictures and videos from your webcam - base library
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the base shared library.

Package: libcheese-dev
Architecture: any
Section: libdevel
Depends: libcheese1 (= ${binary:Version}),
         gir1.2-cheese-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.28.0),
         libclutter-1.0-dev (>= 1.6.1),
         libgstreamer0.10-dev (>= 0.10.32),
         libgstreamer-plugins-base0.10-dev (>= 0.10.32),
         libgdk-pixbuf2.0-dev,
         ${misc:Depends}
Description: tool to take pictures and videos from your webcam - base dev
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the base development headers and API documentation.


Package: gir1.2-cheese-3.0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${gir:Depends}
Description: tool to take pictures and videos from your webcam - gir bindings
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

## cheese 3.0.2

=== debian/changelog ===
cheese (3.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/0001-fix-pc-file.patch,
    debian/patches/0002-fix-linking.patch: Dropped, applied upstream

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Sep 2011 10:31:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://live.gnome.org/Cheese/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/cheese/

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/cheese/([\d\.]+)[02468]/cheese-([\d\.]+)\.tar\.bz2

## cheese 3.2.0

=== debian/changelog ===
cheese (3.2.0-0ubuntu2) oneiric; urgency=low

  * debian/source_cheese.py: reassign bugs due to bad drivers to linux
    (LP: #793950) 

 -- Brian Murray <brian@ubuntu.com>  Thu, 06 Oct 2011 09:48:48 -0700

cheese (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream stable release.
    - New Mallard format help
  * debian/control: Set Ubuntu Desktop as maintainer
  * debian/cheese-common.install: No more omf to install
  * debian/libcheese1.symbols: Added 2 symbols
  * debian/patches/no-gnu-gettext.patch: Dropped, applied upstream
  * debian/watch: Watch unstable releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Oct 2011 03:41:55 -0400

cheese (3.0.2-0ubuntu2) oneiric; urgency=low

  * No-change rebuild against current cogl/clutter. (LP: #856179)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Sep 2011 18:45:45 +0200

cheese (3.0.2-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release
    - Fixes crash when pressing Effects button (LP: #817806)
  * debian/patches/0001-fix-pc-file.patch,
    debian/patches/0002-fix-linking.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Fri, 16 Sep 2011 16:51:47 -0400

cheese (3.0.1-2ubuntu2) oneiric; urgency=low

  * Depend on gstreamer0.10-plugins-good (>= 0.10.30-1ubuntu4)
    | gstreamer0.10-plugins-bad, now that camerabin is moved to -good.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 Aug 2011 12:04:11 -0700

cheese (3.0.1-2ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
    - debian/cheese-common.install, debian/source_cheese.py: Install apport hook
    - debian/patches/no-gnu-gettext.patch: Don't use both AM_GNU_GETTEXT and
      IT_PROG_INTLTOOL
    - debian/rules, debian/control.in: Call dh_autoreconf during build
    - debian/control.in: cheese replaces cheese-common (<< 2-30.1-1ubuntu1)
      as debian put /usr/share/dbus-1 in cheese binary package

 -- Laurent Bigonville <bigon@ubuntu.com>  Sat, 23 Jul 2011 00:37:49 +0200

cheese (3.0.0-0ubuntu1) oneiric; urgency=low

  * Upload to oneiric

  [ Jeremy Bicha ]
  * Depend on gnome-video-effects since clicking Effects when it is
    not installed results in a segmentation fault.

  [ Robert Ancell]
  * New upstream version
  * debian/control:
    - Use standards version 3.9.1
    - Add build-depends on dh-autoreconf, valac, libclutter-1.0-dev,
      libclutter-gtk-1.0-dev, libclutter-gst-dev, libmx-dev,
      gnome-video-effects-dev, libgee-dev, gnome-common, gobject-introspection, 
      libgirepository1.0-dev, gir1.2-freedesktop, gir1.2-glib-2.0, 
      gir1.2-gstreamer-0.10, gir1.2-clutter-1.0, gir1.2-gdkpixbuf-2.0
    - Drop build-depends on libgconf2-dev, libdbus-1-dev, libdbus-glib-1-dev,
    - Bump build-depends on libglib2.0-dev, libgtk-3-dev,
      libgnome-desktop-3-dev, libgstreamer0.10-dev,
      libgstreamer-plugins-base0.10-dev, libcairo2-dev, libpango1.0-dev,
      librsvg2-dev, libcanberra-gtk3-dev
    - Add new gir1.2-cheese-3.0 package
    - libcheese-gtk18 -> libcheese-gtk19
  * debian/cheese.install:
  * debian/cheese-common.install:
  * debian/libcheese-gtk-dev.install
    - Update for new/changed files
  * debian/gir1.2-cheese-3.0.install:
    - Install typelib
  * debian/patches/fix-linking.patch:
    - Fix linking issues
  * debian/patches/no-gnu-gettext.patch:
    - Don't use both AM_GNU_GETTEXT and IT_PROG_INTLTOOL

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Jun 2011 11:45:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,17 @@
 Source: cheese
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://live.gnome.org/Cheese/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/cheese/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/cheese/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/cheese/ubuntu
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
+               dh-autoreconf,
                gnome-pkg-tools (>= 0.10),
+               gnome-common,
                intltool (>= 0.40.0),
                gnome-doc-utils,
                rarian-compat,
@@ -47,6 +49,7 @@
          ${misc:Depends},
          cheese-common (= ${source:Version}),
          gnome-video-effects
+Replaces: cheese-common (<< 2.30.1-1ubuntu1)
 Recommends: gvfs,
             gnome-icon-theme,
             hicolor-icon-theme
@@ -115,7 +118,7 @@
          cheese-common (= ${source:Version}),
          gstreamer0.10-plugins-base (>= 0.10.23),
          gstreamer0.10-plugins-good (>= 0.10.23),
-         gstreamer0.10-plugins-bad,
+         gstreamer0.10-plugins-good (>= 0.10.30-1ubuntu4) | gstreamer0.10-plugins-bad,
          gstreamer0.10-x
 Description: tool to take pictures and videos from your webcam - base library
  A webcam application that supports image and video capture. Makes

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/cheese/([\d\.]+)/cheese-([\d\.]+)\.tar\.bz2
